<?xml version="1.0" encoding="UTF_8"?>
<SensorStandardCap>
    <tag key="CAMERA_LENS_FACING" type="uint8_t">
        <value type="string2Enum">CAMERA_LENS_FACING_BACK</value>
    </tag>
    <tag key="CAMERA_LENS_INFO_MINIMUM_FOCUS_DISTANCE" type="float">
        <value>20</value>
    </tag>
    <tag key="CAMERA_SENSOR_ORIENTATION" type="int32_t">
        <value>90</value>
    </tag>
    <tag key="CAMERA_JPEG_ORIENTATION_CAP" type="int32_t">
        <value>90</value>
    </tag>
    <tag key="CAMERA_LENS_INFO_AVAILABLE_FOCAL_LENGTHS" type="float">
        <value>14.6</value>
    </tag>
    <tag key="CAMERA_FLASH_INFO_AVAILABLE" type="uint8_t">
        <value>0</value>
    </tag>
    <tag key="CAMERA_SCALER_AVAILABLE_RAW_SIZES" type="int32_t">
        <value>4000</value>
        <value>3000</value>
    </tag>
    <tag key="CAMERA_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t">
        <value>4000</value>
        <value>3000</value>
    </tag>
    <tag key="CAMERA_SENSOR_INFO_ACTIVE_ARRAY_SIZE" type="int32_t">
        <value>0</value>
        <value>0</value>
        <value>4000</value>
        <value>3000</value>
    </tag>
    <tag key="CAMERA_SENSOR_INFO_PHYSICAL_SIZE" type="float">
        <value>6.746</value>
        <value>5.059</value>
    </tag>
    <tag key="CAMERA_CONTROL_AE_AVAILABLE_TARGET_FPS_RANGES" type="int32_t">
        <value>12</value>
        <value>15</value>
        <value>15</value>
        <value>15</value>
        <value>14</value>
        <value>20</value>
        <value>20</value>
        <value>20</value>
        <value>24</value>
        <value>24</value>
        <value>14</value>
        <value>25</value>
        <value>25</value>
        <value>25</value>
        <value>14</value>
        <value>30</value>
        <value>30</value>
        <value>30</value>
        <value>15</value>
        <value>60</value>
        <value>30</value>
        <value>60</value>
        <value>60</value>
        <value>60</value>
    </tag>
    <tag key="HAL_CUSTOM_SCALER_AVAILABLE_JPEG_SIZES_AND_DURATION" type="int32_t">
        <value>4000</value>
        <value>3000</value>
        <value>40000000</value>
        <value>4000</value>
        <value>2256</value>
        <value>33331760</value>
        <value>4000</value>
        <value>1856</value>
        <value>33331760</value>
        <value>2992</value>
        <value>2992</value>
        <value>33331760</value>
        <value>3840</value>
        <value>1648</value>
        <value>33331760</value>
        <value>3840</value>
        <value>2160</value>
        <value>33331760</value>
        <value>2768</value>
        <value>1264</value>
        <value>33331760</value>
        <value>2560</value>
        <value>1080</value>
        <value>33331760</value>
        <value>2336</value>
        <value>1080</value>
        <value>33331760</value>
        <value>2048</value>
        <value>1536</value>
        <value>33331760</value>
        <value>1920</value>
        <value>1080</value>
        <value>16666666</value>
        <value>1536</value>
        <value>864</value>
        <value>33331760</value>
        <value>1568</value>
        <value>720</value>
        <value>33331760</value>
        <value>1280</value>
        <value>720</value>
        <value>33331760</value>
        <value>720</value>
        <value>720</value>
        <value>33331760</value>
        <value>640</value>
        <value>640</value>
        <value>33331760</value>
        <value>640</value>
        <value>480</value>
        <value>33331760</value>
        <value>320</value>
        <value>240</value>
        <value>33331760</value>
    </tag>
    <tag key="CAMERA_SCALER_AVAILABLE_JPEG_SIZES" type="no_need_duration">
        <value type="string2Enum">HAL_CUSTOM_SCALER_AVAILABLE_JPEG_SIZES_AND_DURATION</value>
    </tag>
    <tag key="HAL_CUSTOM_SCALER_AVAILABLE_PROCESSED_SIZES_AND_DURATION" type="int32_t">
        <value>4000</value>
        <value>3000</value>
        <value>40000000</value>
        <value>3968</value>
        <value>2976</value>
        <value>50000000</value>
        <value>4000</value>
        <value>2256</value>
        <value>33331760</value>
        <value>4000</value>
        <value>1856</value>
        <value>33331760</value>
        <value>2992</value>
        <value>2992</value>
        <value>33331760</value>
        <value>2768</value>
        <value>1264</value>
        <value>33331760</value>
        <value>2448</value>
        <value>2448</value>
        <value>50000000</value>
        <value>3264</value>
        <value>1840</value>
        <value>50000000</value>
        <value>3840</value>
        <value>2160</value>
        <value>50000000</value>
        <value>3840</value>
        <value>1648</value>
        <value>33331760</value>
        <value>2336</value>
        <value>1080</value>
        <value>33331760</value>
        <value>2560</value>
        <value>1080</value>
        <value>33331760</value>
        <value>1920</value>
        <value>1080</value>
        <value>16666666</value>
        <value>1920</value>
        <value>960</value>
        <value>33331760</value>
        <value>1440</value>
        <value>1080</value>
        <value>33331760</value>
        <value>1536</value>
        <value>864</value>
        <value>33331760</value>
        <value>2048</value>
        <value>1536</value>
        <value>50000000</value>
        <value>1456</value>
        <value>1456</value>
        <value>33331760</value>
        <value>1680</value>
        <value>720</value>
        <value>33331760</value>
        <value>1568</value>
        <value>720</value>
        <value>33331760</value>
        <value>1440</value>
        <value>720</value>
        <value>33331760</value>
        <value>1280</value>
        <value>960</value>
        <value>33331760</value>
        <value>1280</value>
        <value>720</value>
        <value>33331760</value>
        <value>1248</value>
        <value>1080</value>
        <value>33331760</value>
        <value>1088</value>
        <value>1080</value>
        <value>33331760</value>
        <value>960</value>
        <value>720</value>
        <value>33331760</value>
        <value>720</value>
        <value>720</value>
        <value>33331760</value>
        <value>736</value>
        <value>412</value>
        <value>33331760</value>
        <value>640</value>
        <value>640</value>
        <value>33331760</value>
        <value>640</value>
        <value>480</value>
        <value>33331760</value>
        <value>352</value>
        <value>288</value>
        <value>33331760</value>
        <value>320</value>
        <value>240</value>
        <value>33331760</value>
        <value>208</value>
        <value>144</value>
        <value>33331760</value>
        <value>176</value>
        <value>144</value>
        <value>33331760</value>
    </tag>
    <tag key="CAMERA_SCALER_AVAILABLE_PROCESSED_SIZES" type="no_need_duration">
        <value type="string2Enum">HAL_CUSTOM_SCALER_AVAILABLE_PROCESSED_SIZES_AND_DURATION</value>
    </tag>
    <tag key="CAMERA_LENS_INFO_AVAILABLE_APERTURES" type="float">
        <value>3</value>
    </tag>
    <tag key="CAMERA_SENSOR_INFO_SENSITIVITY_RANGE" type="int32_t">
        <value>50</value>
        <value>3500</value>
    </tag>
    <tag key="CAMERA_SENSOR_INFO_EXPOSURE_TIME_RANGE" type="int64_t">
        <value>10000</value>
        <value>1000000000</value>
    </tag>
    <tag key="CAMERA_SENSOR_INFO_MAX_FRAME_DURATION" type="int64_t">
        <value>9000000000</value>
    </tag>
    <tag key="CAMERA_SENSOR_MAX_ANALOG_SENSITIVITY" type="int32_t">
        <value>1600</value>
    </tag>
    <tag key="CAMERA_CONTROL_AF_AVAILABLE_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_OFF</value>
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_AUTO</value>
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_MACRO</value>
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_CONTINUOUS_VIDEO</value>
        <value type="string2Enum">CAMERA_CONTROL_AF_MODE_CONTINUOUS_PICTURE</value>
    </tag>
    <tag key="CAMERA_CONTROL_AE_AVAILABLE_MODES" type="uint8_t">
        <value type="string2Enum">CAMERA_CONTROL_AE_MODE_OFF</value>
        <value type="string2Enum">CAMERA_CONTROL_AE_MODE_ON</value>
    </tag>
    <tag key="CAMERA_SENSOR_INFO_COLOR_FILTER_ARRANGEMENT" type="uint8_t">
        <value type="string2Enum">CAMERA_SENSOR_INFO_COLOR_FILTER_ARRANGEMENT_GBRG</value>
    </tag>
    <tag key="CAMERA_SENSOR_BLACK_LEVEL_PATTERN" type="int32_t">
        <value>256</value>
        <value>256</value>
        <value>256</value>
        <value>256</value>
    </tag>
    <tag key="CAMERA_JPEG_MAX_SIZE" type="int32_t">
        <value>18874368</value> <!-- 18 * 1024 * 1024 -->
    </tag>
    <tag key="HAL_REPROCESS_PRIVATE_SENSOR_HDRLAYER_JPEG_SIZES" type="int32_t">
        <value>2048</value>
        <value>1536</value>
        <value>1536</value>
        <value>1536</value>
        <value>2048</value>
        <value>944</value>
        <value>2000</value>
        <value>928</value>
    </tag>
</SensorStandardCap>
